/*
ppm2coord : Copyright Toby Jaffey March 31st 1999
This program is free software, distributed under the GNU GPL.

A simple, and *very* crude program for reading a ppm file on stdin and
outputting a series of coords on stdout

Usage: cat myFile.ppm | ppm2coord | drawtool

*/

#include <stdio.h>
#include <stdlib.h>
#include <ppm.h>

int main(void)
{
int cols,rows;
pixval maxval;
pixel **data;
int x,y;

data = ppm_readppm(stdin,&cols,&rows,&maxval);

for(x=0;x<cols;x++)
	{
	for(y=0;y<rows;y++)
		{
		printf("0,%d,%d,%d,%d,%d\n",x,y,PPM_GETR(data[y][x])*255,
		PPM_GETG(data[y][x])*255,
		PPM_GETB(data[y][x])*255 );
		}
	}
return 0;
}